Package: org.codehaus.groovy.grails.web.pages.discovery

## [Java] Class CachingGroovyPageStaticResourceLocator

- org.codehaus.groovy.grails.web.pages.discovery.CachingGroovyPageStaticResourceLocator

- Extends GroovyPageStaticResourceLocator adding caching of the result of GroovyPageStaticResourceLocator.findResourceForURI.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class DefaultResourceLocator` | `CLOSURE_MARKER, FILE_SEPARATOR, NULL_RESOURCE, WEB_APP_DIR, WILDCARD, classNameToResourceCache, classSearchDirectories, defaultResourceLoader, patchMatchingResolver, pluginManager, resourceSearchDirectories, uriToResourceCache, warDeployed`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `org.springframework.core.io.Resource` | `findResourceForURI(java.lang.String uri)`
    `long` | `getCacheTimeout()`
    `void` | `setCacheTimeout(long cacheTimeout)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyPageStaticResourceLocator` | `findResourceForURI`
    `class DefaultResourceLocator` | `findResourceForClassName, findResourceForURI, findResourceInBinaryPlugins, getDefaultResourceLoader, setPluginManager, setResourceLoader, setSearchLocation, setSearchLocations`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### @java.lang.Override public org.springframework.core.io.Resource findResourceForURI(java.lang.String uri)

    - #### public long getCacheTimeout()

    - #### public void setCacheTimeout(long cacheTimeout)